Bug 278521 - Kernel panic on boot with 2.6.9-55.0.6.ELsmp
Kernel panic on boot with 2.6.9-55.0.6.ELsmp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: David Milburn
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 10:34 EDT by Andrew Gormanly
Modified: 2010-07-09 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 12:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages from the kernel as it fails to boot (748 bytes, application/octet-stream)
2007-09-05 10:34 EDT, Andrew Gormanly
no flags Details
dmesg output from working kernel 2.6.9-55.0.2.ELsmp (19.46 KB, application/octet-stream)
2007-09-05 10:35 EDT, Andrew Gormanly
no flags Details
last lines of boot with "debug" keyword (653 bytes, text/plain)
2007-09-12 12:40 EDT, Andrew Gormanly
no flags Details

  None (edit)
Description Andrew Gormanly 2007-09-05 10:34:50 EDT
Description of problem:
The new kernel, 2.6.9-55.0.6.ELsmp panic on boot, unable to find the root
partition on sda10.

Version-Release number of selected component (if applicable):
2.6.9-55.0.6.ELsmp

How reproducible:
Every time.

Steps to Reproduce:
1. Boot machine.
2.
3.
  
Actual results:
Panic after "Red Hat nash version 4.2.1.10 starting" beginning with "mkrootdev:
label / not found".  Full output attached below.

Expected results:
"INIT: version 2.85 booting" then normal boot as with 2.6.9-55.0.2.ELsmp and
earlier.

Additional info:
Machine is a Dell XPS M1210 laptop.

I'll attach a hand-typed copy of the boot messages before the panic and the
output of dmesg from the running 2.6.9-55.0.2.ELsmp kernel.

I suspect either that the newer kernel is trying and failing to use SATA drivers
and the old is using generic, or the new initrd is missing something (it's ~6k
smaller).

I'll try making a new initrd and booting from it.
Comment 1 Andrew Gormanly 2007-09-05 10:34:50 EDT
Created attachment 187491 [details]
messages from the kernel as it fails to boot
Comment 2 Andrew Gormanly 2007-09-05 10:35:59 EDT
Created attachment 187501 [details]
dmesg output from working kernel 2.6.9-55.0.2.ELsmp
Comment 3 Prarit Bhargava 2007-09-12 11:21:44 EDT
Andrew, could you boot 2.6.9-55.0.6.ELsmp and replace "quiet" with "debug" on
the boot line, and then attach the output here?

Thanks,

P.
Comment 4 Andrew Gormanly 2007-09-12 12:40:53 EDT
Created attachment 193651 [details]
last lines of boot with "debug" keyword

It occurs to me that another possibility is that mkrootdev is expecting the
root partition to have a low number - which it doesn't in this case; / is
/dev/sda10 and the partitions are not in disk order.  It should find it based
on the e2label, but it clearly does not.
Comment 5 Neall Doren 2008-04-14 12:14:28 EDT
Any news on this?  Identical problem happens to me on all x86 (not 64 bit)
kernels from 2.6.9-55.0.2.ELsmp and beyond.  All previous (2.6.9-42.0.8.ELsmp
and earlier) boot normally.
Comment 6 David Milburn 2010-07-08 12:52:17 EDT
If possible, would you please try a more recent kernel? Thank you.

http://people.redhat.com/jwilson/el5/204.el5/
Comment 7 Andrew Gormanly 2010-07-09 11:15:10 EDT
Impossible, I'm afraid, the machine's long gone.  I got around the bug in the end, but can't remember how, sorry.
Comment 8 David Milburn 2010-07-09 12:45:21 EDT
Ok, thanks for the info, I will close this BZ, please re-open if necessary.

Note You need to log in before you can comment on or make changes to this bug.